<html>
<head>
<title>OGRE: Ogre::GpuLogicalIndexUse Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1GpuLogicalIndexUse.html">GpuLogicalIndexUse</a></div>
<h1>Ogre::GpuLogicalIndexUse Struct Reference</h1><!-- doxytag: class="Ogre::GpuLogicalIndexUse" -->Structure recording the use of a physical buffer by a logical parameter index.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1GpuLogicalIndexUse-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#3743dc74baa8b8e2d70f5354c87338ec">GpuLogicalIndexUse</a> (size_t bufIdx, size_t curSz)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#f0fbf51e578ed82d008b1f4346bae20b">physicalIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Physical buffer index.  <a href="#f0fbf51e578ed82d008b1f4346bae20b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#01c5262cf4575c5eee15bca1f318762c">currentSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Current physical size allocation.  <a href="#01c5262cf4575c5eee15bca1f318762c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording the use of a physical buffer by a logical parameter index. 
<p>
Only used for low-level programs. 
<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00172">172</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3743dc74baa8b8e2d70f5354c87338ec"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse" ref="3743dc74baa8b8e2d70f5354c87338ec" args="(size_t bufIdx, size_t curSz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>bufIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>curSz</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00179">179</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f0fbf51e578ed82d008b1f4346bae20b"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::physicalIndex" ref="f0fbf51e578ed82d008b1f4346bae20b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#f0fbf51e578ed82d008b1f4346bae20b">Ogre::GpuLogicalIndexUse::physicalIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Physical buffer index. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00175">175</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01c5262cf4575c5eee15bca1f318762c"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::currentSize" ref="01c5262cf4575c5eee15bca1f318762c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#01c5262cf4575c5eee15bca1f318762c">Ogre::GpuLogicalIndexUse::currentSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Current physical size allocation. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00177">177</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:47 2008
</p>
</body>
</html>
